package com.sooka.sponest.monitor.meiqiguan.gps.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.HashMap;
import java.util.Map;


/**
 * 历史轨迹对象 gas_tank_historical_trajectory
 *
 * @author ruoyi
 * @String 2024-09-09
 */
public class GasTankHistoricalTrajectory {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * $column.columnComment
     */
    private String deviceid;

    /**
     * 综合计算后位置更新时间
     */
    private String updatetime;

    /**
     * 对应部标状态值
     * //0x00 定时上报
     * //0x01 定距上报
     * //0x02 拐点上传
     * //0x03 ACC 状态改变上传
     * //0x04 从运动变为静止状态后，补传最后一个定位点
     * //0x05 网络断开重连后，上报之前最后一个有效上传点
     * //0X06 上报模式：星历更新强制上传 GPS 点
     * //0X07 上报模式：按键上传定位点
     * //0X08 上报模式：开机上报位置信息
     * //0X09 上报模式：未使用
     * //0X0A 上报模式：设备静止后上报最后的经纬度，但时间更新
     * //0X0B WIFI 解析经纬度上传包
     * //0X0C 上报模式：LJDW（立即定位）指令上报
     * //0X0D 上报模式：设备静止后上报最后的经纬度
     * //0X0E 上报模式：GPSDUP 上传（下静止状态定时上传）
     */
    private String status;

    /**
     * 速度（米）
     */
    private Long speed;

    /**
     * 计算出来的纬度
     */
    private String callat;

    /**
     * 计算出来的经度
     */
    private String callon;

    /**
     * 高度(米)
     */
    private String altitude;

    /**
     * 方向（0-360）
     */
    private String course;

    /**
     * 总里程米
     */
    private Long totaldistance;

    /**
     * $column.columnComment
     */
    private String totalad;

    /**
     * $column.columnComment
     */
    private String totalnotrunningad;

    /**
     * 油量1
     */
    private String ad0;

    /**
     * 油量2
     */
    private String ad1;

    /**
     * $column.columnComment
     */
    private String ad2;

    /**
     * $column.columnComment
     */
    private String ad3;

    /**
     * $column.columnComment
     */
    private String srcad0;

    /**
     * $column.columnComment
     */
    private String srcad1;

    /**
     * $column.columnComment
     */
    private String srcad2;

    /**
     * $column.columnComment
     */
    private String srcad3;

    /**
     * 里面包含了多少个上报点
     */
    private String trackCount;

    /**
     * 点的开始时间
     */
    private String starttime;

    /**
     * 点的结束时间
     */
    private String endtime;

    /**
     * 第一个点在数据库点主键
     */
    private Long trackid;

    /**
     * 到达服务器时间
     */
    private String arrivedtime;

    /**
     * 定位精度米
     */
    private String radius;

    /**
     * 行车记录仪速度米
     */
    private Long recorderspeed;

    /**
     * 对应部标状态文字描述
     */

    private String strstatus;

    /**
     * 对应部标状态英文文字描述
     */

    private String strstatusen;

    /**
     * 位置信息来源定位类型 (gps,wifi,cell)
     */

    private String gotsrc;

    /**
     * 基站信号强度
     */

    private String rxlevel;

    /**
     * 上报类型
     */

    private String reportmode;

    /**
     * gps有效数
     */

    private Long gpsvalidnum;

    /**
     * $column.columnComment
     */

    private Long weight;

    /**
     * $column.columnComment
     */

    private String reissue;

    /**
     * $column.columnComment
     */

    private String address;

    /**
     * $column.columnComment
     */

    private String voltage;

    /**
     * $column.columnComment
     */

    private String temp1;

    /**
     * $column.columnComment
     */

    private String temp2;

    /**
     * $column.columnComment
     */

    private String temp3;

    /**
     * $column.columnComment
     */

    private String temp4;

    /**
     * $column.columnComment
     */

    private String humi1;

    /**
     * $column.columnComment
     */

    private String humi2;

    /**
     * $column.columnComment
     */

    private String oilrate;

    /**
     * $column.columnComment
     */

    private Long startdistance;

    /**
     * $column.columnComment
     */

    private Long enddistance;

    /**
     * $column.columnComment
     */

    private Long indistance;

    /**
     * $column.columnComment
     */

    private Long outdistance;

    /**
     * $column.columnComment
     */

    private String durationidle;

    /**
     * $column.columnComment
     */

    private String region;

    /**
     * $column.columnComment
     */

    private String stralarm;

    /**
     * $column.columnComment
     */

    private String stralarmen;

    /**
     * $column.columnComment
     */
    private String messagetype;

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    /** 请求参数 */
    Map<String, Object> params = new HashMap();

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }

    public String getDeviceid() {
        return deviceid;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setSpeed(Long speed) {
        this.speed = speed;
    }

    public Long getSpeed() {
        return speed;
    }

    public void setCallat(String callat) {
        this.callat = callat;
    }

    public String getCallat() {
        return callat;
    }

    public void setCallon(String callon) {
        this.callon = callon;
    }

    public String getCallon() {
        return callon;
    }

    public void setAltitude(String altitude) {
        this.altitude = altitude;
    }

    public String getAltitude() {
        return altitude;
    }

    public void setCourse(String course) {
        this.course = course;
    }

    public String getCourse() {
        return course;
    }

    public void setTotaldistance(Long totaldistance) {
        this.totaldistance = totaldistance;
    }

    public Long getTotaldistance() {
        return totaldistance;
    }

    public void setTotalad(String totalad) {
        this.totalad = totalad;
    }

    public String getTotalad() {
        return totalad;
    }

    public void setTotalnotrunningad(String totalnotrunningad) {
        this.totalnotrunningad = totalnotrunningad;
    }

    public String getTotalnotrunningad() {
        return totalnotrunningad;
    }

    public void setAd0(String ad0) {
        this.ad0 = ad0;
    }

    public String getAd0() {
        return ad0;
    }

    public void setAd1(String ad1) {
        this.ad1 = ad1;
    }

    public String getAd1() {
        return ad1;
    }

    public void setAd2(String ad2) {
        this.ad2 = ad2;
    }

    public String getAd2() {
        return ad2;
    }

    public void setAd3(String ad3) {
        this.ad3 = ad3;
    }

    public String getAd3() {
        return ad3;
    }

    public void setSrcad0(String srcad0) {
        this.srcad0 = srcad0;
    }

    public String getSrcad0() {
        return srcad0;
    }

    public void setSrcad1(String srcad1) {
        this.srcad1 = srcad1;
    }

    public String getSrcad1() {
        return srcad1;
    }

    public void setSrcad2(String srcad2) {
        this.srcad2 = srcad2;
    }

    public String getSrcad2() {
        return srcad2;
    }

    public void setSrcad3(String srcad3) {
        this.srcad3 = srcad3;
    }

    public String getSrcad3() {
        return srcad3;
    }

    public void setTrackCount(String trackCount) {
        this.trackCount = trackCount;
    }

    public String getTrackCount() {
        return trackCount;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setTrackid(Long trackid) {
        this.trackid = trackid;
    }

    public Long getTrackid() {
        return trackid;
    }

    public void setArrivedtime(String arrivedtime) {
        this.arrivedtime = arrivedtime;
    }

    public String getArrivedtime() {
        return arrivedtime;
    }

    public void setRadius(String radius) {
        this.radius = radius;
    }

    public String getRadius() {
        return radius;
    }

    public void setRecorderspeed(Long recorderspeed) {
        this.recorderspeed = recorderspeed;
    }

    public Long getRecorderspeed() {
        return recorderspeed;
    }

    public void setStrstatus(String strstatus) {
        this.strstatus = strstatus;
    }

    public String getStrstatus() {
        return strstatus;
    }

    public void setStrstatusen(String strstatusen) {
        this.strstatusen = strstatusen;
    }

    public String getStrstatusen() {
        return strstatusen;
    }

    public void setGotsrc(String gotsrc) {
        this.gotsrc = gotsrc;
    }

    public String getGotsrc() {
        return gotsrc;
    }

    public void setRxlevel(String rxlevel) {
        this.rxlevel = rxlevel;
    }

    public String getRxlevel() {
        return rxlevel;
    }

    public void setReportmode(String reportmode) {
        this.reportmode = reportmode;
    }

    public String getReportmode() {
        return reportmode;
    }

    public void setGpsvalidnum(Long gpsvalidnum) {
        this.gpsvalidnum = gpsvalidnum;
    }

    public Long getGpsvalidnum() {
        return gpsvalidnum;
    }

    public void setWeight(Long weight) {
        this.weight = weight;
    }

    public Long getWeight() {
        return weight;
    }

    public void setReissue(String reissue) {
        this.reissue = reissue;
    }

    public String getReissue() {
        return reissue;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setVoltage(String voltage) {
        this.voltage = voltage;
    }

    public String getVoltage() {
        return voltage;
    }

    public void setTemp1(String temp1) {
        this.temp1 = temp1;
    }

    public String getTemp1() {
        return temp1;
    }

    public void setTemp2(String temp2) {
        this.temp2 = temp2;
    }

    public String getTemp2() {
        return temp2;
    }

    public void setTemp3(String temp3) {
        this.temp3 = temp3;
    }

    public String getTemp3() {
        return temp3;
    }

    public void setTemp4(String temp4) {
        this.temp4 = temp4;
    }

    public String getTemp4() {
        return temp4;
    }

    public void setHumi1(String humi1) {
        this.humi1 = humi1;
    }

    public String getHumi1() {
        return humi1;
    }

    public void setHumi2(String humi2) {
        this.humi2 = humi2;
    }

    public String getHumi2() {
        return humi2;
    }

    public void setOilrate(String oilrate) {
        this.oilrate = oilrate;
    }

    public String getOilrate() {
        return oilrate;
    }

    public void setStartdistance(Long startdistance) {
        this.startdistance = startdistance;
    }

    public Long getStartdistance() {
        return startdistance;
    }

    public void setEnddistance(Long enddistance) {
        this.enddistance = enddistance;
    }

    public Long getEnddistance() {
        return enddistance;
    }

    public void setIndistance(Long indistance) {
        this.indistance = indistance;
    }

    public Long getIndistance() {
        return indistance;
    }

    public void setOutdistance(Long outdistance) {
        this.outdistance = outdistance;
    }

    public Long getOutdistance() {
        return outdistance;
    }

    public void setDurationidle(String durationidle) {
        this.durationidle = durationidle;
    }

    public String getDurationidle() {
        return durationidle;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getRegion() {
        return region;
    }

    public void setStralarm(String stralarm) {
        this.stralarm = stralarm;
    }

    public String getStralarm() {
        return stralarm;
    }

    public void setStralarmen(String stralarmen) {
        this.stralarmen = stralarmen;
    }

    public String getStralarmen() {
        return stralarmen;
    }

    public void setMessagetype(String messagetype) {
        this.messagetype = messagetype;
    }

    public String getMessagetype() {
        return messagetype;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deviceid", getDeviceid())
                .append("upDatatime", getUpdatetime())
                .append("status", getStatus())
                .append("speed", getSpeed())
                .append("callat", getCallat())
                .append("callon", getCallon())
                .append("altitude", getAltitude())
                .append("course", getCourse())
                .append("totaldistance", getTotaldistance())
                .append("totalad", getTotalad())
                .append("totalnotrunningad", getTotalnotrunningad())
                .append("ad0", getAd0())
                .append("ad1", getAd1())
                .append("ad2", getAd2())
                .append("ad3", getAd3())
                .append("srcad0", getSrcad0())
                .append("srcad1", getSrcad1())
                .append("srcad2", getSrcad2())
                .append("srcad3", getSrcad3())
                .append("trackCount", getTrackCount())
                .append("starttime", getStarttime())
                .append("endtime", getEndtime())
                .append("trackid", getTrackid())
                .append("arrivedtime", getArrivedtime())
                .append("radius", getRadius())
                .append("recorderspeed", getRecorderspeed())
                .append("strstatus", getStrstatus())
                .append("strstatusen", getStrstatusen())
                .append("gotsrc", getGotsrc())
                .append("rxlevel", getRxlevel())
                .append("reportmode", getReportmode())
                .append("gpsvalidnum", getGpsvalidnum())
                .append("weight", getWeight())
                .append("reissue", getReissue())
                .append("address", getAddress())
                .append("voltage", getVoltage())
                .append("temp1", getTemp1())
                .append("temp2", getTemp2())
                .append("temp3", getTemp3())
                .append("temp4", getTemp4())
                .append("humi1", getHumi1())
                .append("humi2", getHumi2())
                .append("oilrate", getOilrate())
                .append("startdistance", getStartdistance())
                .append("enddistance", getEnddistance())
                .append("indistance", getIndistance())
                .append("outdistance", getOutdistance())
                .append("durationidle", getDurationidle())
                .append("region", getRegion())
                .append("stralarm", getStralarm())
                .append("stralarmen", getStralarmen())
                .append("messagetype", getMessagetype())
                .append("params", getParams())
                .toString();
    }
}
